<?php
/*!
 *  @file
 *
 *  @brief	show input dialog for new device type
 *
 *  @date	2005
 */

has_permissions('w') || fatal(E_NOPERM);

echo '
	<h2>New Device Type</h2>
	<form name="devtype" action="?component=devtype&action=save" method="post" onsubmit="return CheckFormDevtype(devtype)">
';

echo '
		<table class="std_input">
			<tr>
				<td class="std_input_title">Name:</td>
				<td class="std_input_item">
					<input name="devtype_name" type="text" size="25" maxlength="'.DEVTYPE_MAX.'" autofocus><sup> *</sup>
				</td>
			</tr>
			<tr>
				<td class="std_input_title">Shortcode:</td>
				<td class="std_input_item">
					<input name="shortcode" style="text-transform:uppercase" type="text" size="'.SHORTCODE_MAX.'" maxlength="'.SHORTCODE_MAX.'"><sup> *</sup>
				</td>
			</tr>
			<tr>
				<td class="std_input_buttons" colspan="2">
					<input type="submit" value="Save">
					<input type="reset"  value="Reset">
				</td>
			</tr>
		</table>
		<input name="group_id" value="'.validate_integer($_GET['gid']).'" type="hidden">
	</form>
	<br>
	<font size="2">*) Required field</font>
';
?>
