<?php
/*!
 *  @file
 *
 *  @brief	add new device type
 *
 *  @date	2005
 */

has_permissions('w') || fatal(E_NOPERM);

$dt   = validate_string($_POST['devtype_name']);
$code = strtoupper(validate_string($_POST['shortcode']));
$gid  = validate_integer($_POST['group_id']);

// first check if device type name or shortcode already exists
$ret1 = $DB->FetchByValue('device_type', array('device_type' => $dt));
$ret2 = $DB->FetchByValue('device_type', array('code' => $code));
if (!$ret1 && !$ret2) {
	$fields = array('hwgroup_id' => $gid, 'device_type' => $dt, 'code' => $code);
	$DB->Insert('device_type', $fields);
} else {
	fatal(E_DTEXIST);
}

header('Location: http://' . $_SERVER['SERVER_NAME'] . '?component=devtype&action=list&gid='.$gid);
exit;
?>
