<?php
/*!
 *  @file
 *
 *  @brief	add hardware group
 *
 *  @date	2005
 */

has_permissions('w') || fatal(E_NOPERM);

$group = validate_string($_POST['group_name']);
$code  = strtoupper(validate_string($_POST['shortcode']));

// check if group name or shortcode already exist:
$ret1 = $DB->FetchByValue('hardware_groups', array('hwgroup' => $group));
$ret2 = $DB->FetchByValue('hardware_groups', array('code'    => $code));
if (!$ret1 && !$ret2) {
	$DB->Insert('hardware_groups', array('hwgroup' => $group, 'code' => $code));
} else {
	fatal(E_GRPEXIST);
}

header('Location: http://' . $_SERVER['SERVER_NAME'] . '?component=group&action=list');
exit;
?>
