<?php
/*!
 *  @file
 *
 *  @brief	show input dialog for location definition
 *
 *  @date	October 31, 2015
 */

has_permissions('m') || fatal(E_NOPERM);

$redir_back = $_SERVER['HTTP_REFERER'];

$lid = trim($_GET['lid']);	// optional
if (is_decimal($lid)) {
	$row = $DB->GetLocationInfo($lid);
}

echo '
	<h2>Edit Location</h2>
	<form name="location" action="?component=location&action=save" method="post" onsubmit="return CheckFormLocation(location)">
		<table class="std_input">
			<tr>
				<td class="std_input_title">Location:</td>
				<td class="std_input_item">
					<input name="location_name" type="text" maxlength="'.LOCATION_MAX.'" value="'.filter_string($row['location']).'" autofocus><sup> *</sup>
				</td>
			</tr>
			<tr>
				<td class="std_input_title">Street:</td>
				<td class="std_input_item">
					<input name="street" type="text" maxlength="'.STREET_MAX.'" value="'.filter_string($row['street']).'">
				</td>
			</tr>
			<tr>
				<td class="std_input_title">Zip code:</td>
				<td class="std_input_item">
					<input name="zipcode" type="text" size="'.ZIPCODE_MAX.'" maxlength="'.ZIPCODE_MAX.'" value="'.filter_string($row['zipcode']).'">
				</td>
			</tr>
			<tr>
				<td class="std_input_title">City:</td>
				<td class="std_input_item">
					<input name="city" type="text" maxlength="'.CITY_MAX.'" value="'.filter_string($row['city']).'">
				</td>
			</tr>
			<tr>
				<td class="std_input_title">Room:</td>
				<td class="std_input_item">
					<input name="room" type="text" size="'.ROOM_MAX.'" maxlength="'.ROOM_MAX.'" value="'.filter_string($row['room']).'">
				</td>
			</tr>
			<tr>
				<td class="std_input_title">Rack:</td>
				<td class="std_input_item">
					<input name="rack" type="text" size="'.RACK_MAX.'" maxlength="'.RACK_MAX.'" value="'.filter_string($row['rack']).'">
				</td>
			</tr>
			<tr>
				<td class="std_input_title">Shelf:</td>
				<td class="std_input_item">
					<input name="shelf" type="text" size="'.SHELF_MAX.'" maxlength="'.SHELF_MAX.'" value="'.filter_string($row['shelf']).'">
				</td>
			</tr>
			<tr>
				<td class="std_input_buttons" style="text-align:left">
					<input type="reset" value="Undo">
				</td>
				<td class="std_input_buttons" style="text-align:right">
					<input type="submit" value="Save">
					<input type="button" value="Cancel" onclick="RedirectPage(\''.filter_string($redir_back).'\')">
				</td>
			</tr>
		</table>
		<input type="hidden" name="lid" value="'.$lid.'">
	</form>
	<br>
	<font size="2">*) Required field</font>
';
?>
