<?php
/*!
 *  @file
 *
 *  @brief	show overview of location definitions
 *
 *  @date	October 31, 2015
 */

has_permissions('m') || fatal(E_NOPERM);

echo '
	<h2>Location Definitions</h2>
	<table class="std_list">
		<tr>
			<th class="std_list_header">Location</th>
			<th class="std_list_header"><!-- empty --></th>
			<th class="std_list_header"><!-- empty --></th>
		</tr>
';

$ret = $DB->Fetch('locations', array('id','location'));
foreach ($ret as $row) {
	echo '
		<tr>
			<td class="std_list_entry">'.filter_string($row['location']).'</td>
			<td class="std_list_entry">
				<a href="?component=location&action=edit&lid='.$row['id'].'">
					<img src="images/wrench.png" alt="Edit Location">
				</a>
			</td>
			<td class="std_list_entry">
				<a href="?component=location&action=delete&lid='.$row['id'].'" onclick="return ConfirmDelete()">
					<img src="images/trashcan.png" alt="Delete Location">
				</a>
			</td>
		</tr>
';
}

echo '
	</table>
	<br>
	<a href="?component=location&action=edit"><img src="images/bnew_location.png" alt="New Location"></a>
';
?>
