<?php
/*!
 *  @file
 *
 *  @brief	show input dialog for news item
 *
 *  @date	January 16, 2016
 */

has_permissions('m') || fatal(E_NOPERM);

$redir_back = $_SERVER['HTTP_REFERER'];

$nid = trim($_GET['nid']);	// optional
if (!empty($nid)) {
	validate_integer($nid);

	$row = $DB->FetchById('news', array('subject', 'message'), $nid);
	$nid_parm = '&nid=' . $nid;
}

echo '
	<h2>Edit News Item</h2>
	<form method="post" action="?component=news&action=save'.$nid_parm.'">
		<table class="wide_input">
			<table class="wide_input">
			<tr>
				<td class="wide_input_title" colspan="2">Subject:</td>
			</tr>
			<tr>
				<td class="wide_input_item" colspan="2">
					<input name="subject" size="'.SUBJECT_MAX.'" maxlength="'.SUBJECT_MAX.'" value="'.filter_string($row['subject']).'" autofocus>
				</td>
			</tr>
			<tr>
				<td class="wide_input_title" colspan="2">Message:</td>
			</tr>
			<tr>
				<td class="wide_input_item" colspan="2">
					<textarea name="message" rows="10" cols="60" autofocus>'.filter_string($row['message']).'</textarea>
				</td>
			</tr>
			<tr>
				<td class="std_input_buttons" style="text-align:left">
					<input type="reset" value="Undo">
				</td>
				<td class="wide_input_buttons" style="text-align:right">
					<input type="submit" value="Save">
					<input type="button" value="Cancel" onclick="RedirectPage(\''.filter_string($redir_back).'\')">
				</td>
			</tr>
		</table>
	</form>
';
?>
