<?php
/*!
 *  @file
 *
 *  @brief	remove note entry
 *
 *  @date	2005
 */

has_permissions('d') || fatal(E_NOPERM);

$nid = validate_integer($_GET['nid']);	// dies on error

/*
 * Determine various IDs for the device associated with this note.
 * These IDs are used for the redirect, later on.
 */
$row = $DB->FetchById('notes', array('physical_id'), $nid);
$ids = $DB->GetDeviceState($row['physical_id']);

$DB->DeleteNote($nid);

header('Location: http://' . $_SERVER['SERVER_NAME'] . '?component=physical&action=list' .
	'&gid='  . $ids['hwgroup_id'] .
	'&tid='  . $ids['device_type_id'] .
	'&msid=' . $ids['model_spec_id']);
exit;
?>
