<?php
/*!
 *  @file
 *
 *  @brief	add or update note entry
 *
 *  @date	2005
 */

has_permissions('w') || fatal(E_NOPERM);

$did  = validate_integer($_GET['did']);
$nid  = trim($_GET['nid']);		// optional
$note = $_POST['note'];
$datetime = explode(' ', date("Y-m-d H:i:s", time()));

$fields = array('last_date' => $datetime[0], 'last_time' => $datetime[1], 'note' => $note);
if (!empty($nid)) {
	validate_integer($nid);

	$DB->Update('notes', $nid, $fields);
} else {
	$fields['physical_id'] = $did;
	$DB->Insert('notes', $fields);
}

$ids = $DB->GetDeviceState($did);

header('Location: http://' . $_SERVER['SERVER_NAME'] . '?component=physical&action=list' .
	'&gid='  . $ids['hwgroup_id'] .
	'&tid='  . $ids['device_type_id'] .
	'&msid=' . $ids['model_spec_id']);
exit;
?>
