<?php
/*!
 *  @file
 *
 *  @brief	remove physical device
 *
 *  @date	2005
 */

has_permissions('d') || fatal(E_NOPERM);

$did = validate_integer($_GET['did']);	// dies on error

$ret = $DB->GetDeviceNotesById($did);
if ($ret) {
	foreach ($ret as $id) {
		$DB->DeleteNote($id);
	}
}
$ret = $DB->GetDeviceLinksById($did);
if ($ret) {
	foreach ($ret as $id) {
		$DB->DeleteLink($id);
	}
}
$DB->DeleteDevice($did);

$ids = $DB->GetDeviceState($did);

header('Location: http://' . $_SERVER['SERVER_NAME'] . '?component=physical&action=list' .
	'&gid='  . $ids['hwgroup_id'] .
	'&tid='  . $ids['device_type_id'] .
	'&msid=' . $ids['model_spec_id']);
exit;
?>
