<?php
/*!
 *  @file
 *
 *  @brief	device type definition for PSU
 *
 *  @date	November 28, 2015
 */

$DTD = array(
  'table'    => 'pwc_psu',
  'features' => array(
    'manufacture' => array('manufacture',        'manufacture', 'Manufacture',  MENU, 25,              false, '',  ''),
    'model'       => array('model',              'model',       'Model',        TEXT, 25,               true, '',  ''),
    'part_number' => array('pwc_psu',            'part_number', 'Part Number',  TEXT, 25,              false, '',  ''),
    'output'      => array('pwc_psu',            'output',      'Output',       TEXT,  8,              false, 'W', ''),
    'inlet'       => array('pwc_inlets',         'inlet',       'Inlet',        MENU, 25,              false, '',  ''),
    'outlet'      => array('pwc_outlets',        'outlet',      'Outlet',       MENU, 25,              false, '',  ''),
    'source'      => array('pwc_psu',            'source',      'Power Source', RBTN, 'mapping_ac_dc', false, '',  ''),
    'formfactor'  => array('pwc_psu_formfactor', 'formfactor',  'Formfactor',   MENU, 15,              false, '',  '')
  )
);
?>
