<?php
/*!
 *  @file
 *
 *  @brief	device type definition for SYS
 *
 *  @date	October 12, 2015
 */

$DTD = array(
  'table'    => 'sys_system',
  'features' => array(
    'manufacture'  => array('manufacture',      'manufacture',  'Manufacture',  MENU, 25, false, '',   ''),
    'model'        => array('model',            'model',        'Model',        TEXT, 25,  true, '',   ''),
    'part_number'  => array('sys_system',       'part_number',  'Part Number',  TEXT, 25, false, '',   ''),
    'architecture' => array('sys_architecture', 'architecture', 'Architecture', MENU, 25, false, '',   ''),
    'nprocessors'  => array('sys_system',       'nprocessors',  'Processors',   TEXT,  5, false, '',   ''),
    'memory'       => array('sys_system',       'memory',       'Memory',       TEXT, 10, false, 'GB', 'unit_memory_capacity'),
    'storage'      => array('sys_system',       'storage',      'Storage',      TEXT, 10, false, 'GB', 'unit_memory_capacity'),
    'formfactor'   => array('sys_formfactor',   'formfactor',   'Formfactor',   MENU, 15, false, '',   '')
  )
);
?>
