<?php
/*!
 *  @file
 *
 *  @brief	Header section of web page
 *
 *  @date
 */

// login and logout elements:
if (!empty($_SESSION['user'])) {
	$login = 'Logged in as: <b>'.filter_string($_SESSION['user']).'</b>';
}
if (!empty($_SERVER['QUERY_STRING'])) {
	$redir = $_SERVER['PHP_SELF'].'?'.filter_string($_SERVER['QUERY_STRING']);
}

// your favorite system, if any:
if (file_exists('images/my_pride_and_joy')) {
	$my_bg = '<img class="mypride" src="images/my_pride_and_joy" alt="My Pride And Joy">';
}

// determine help subject ($component and $action sourced from index.php):
if (!empty($component)) $subject  = $component;
if (!empty($action))    $subject .= '#' . $action;
$help_url = 'help.php?subject=' . $subject;

echo '
	<div class="logo">
		<a href="/" style="border: none;"><img src="images/hws7.png" alt="HWS Logo"></a>
	</div>
	<div class="toolbox">
		<ul class="toolbar">
			<li class="toolbar">
				<form action="login.php" method="post">
					<input type="image" src="images/blogin.png" alt="Login">
					<input type="hidden" name="redirect" value="'.$redir.'">
				</form>
			</li>
			<li class="toolbar">
				<form action="logout.php" method="post">
					<input type="image" src="images/blogout.png" alt="Logout">
					<input type="hidden" name="redirect" value="'.$redir.'">
				</form>
			</li>
			<li class="toolbar">
				<a href="?component=status&action=list">
					<img src="images/bstatus.png" alt="Status">
				</a>
			</li>
			<li class="toolbar">
				<a href="?component=about&action=list">
					<img src="images/babout.png" alt="About">
				</a>
			</li>
		</ul>
		<div style="position:absolute;top:30px;right:4px">
			<font size="2">'.$login.'</font>
		</div>
		<div style="position:absolute;bottom:4px;right:4px">
			<a href="'.$help_url.'" onclick="return HelpPopup(\''.$help_url.'\')"><img src="images/binfo.png" alt="Help"></a>
		</div>
	</div>
	<div class="mypride">
		'.$my_bg.'
	</div>
';
?>
