<?php
/*!
 *  @file
 *
 *  @brief	definitions for text messages
 *
 *  @date	October 20, 2015
 */

/*
 * Error messages.
 */
define("E_DBCONNECT",	"Cannot connect to database.");
define("E_DBCREATE",	"Cannot create database.");
define("E_DBEXIST",	"Database already exists.");
define("E_TBLCREATE",	"Cannot create database table.");
define("E_TRIGCREATE",	"Failed creating database trigger.");
define("E_DBINSERT",	"Database insert failure.");
define("E_DBQUERY",	"Database query failure.");
define("E_DBSELECT",	"Cannot select database.");

define("E_IDENTIFIER",	"Invalid identifier.");
define("E_NONAN",	"Parameter not a number.");
define("E_NOPARM",	"Parameter missing.");
define("E_NOPERM",	"Permission denied.");
define("E_DATATYPE",	"Unknown datatype.");
define("E_CONVERT",	"Cannot convert value.");

define("E_NOMODEL",	"Model not found.");
define("E_DTEXIST",	"Device Type already exists.");
define("E_GRPEXIST",	"Hardware group already exists.");
define("E_SNEXIST",	"S/N already exists for a device in this group.");

define("E_NOUSER",	"Unknown user.");
define("E_USERLOCK",	"User account locked.");

define("E_FOPEN",	"Unable to access file.");
define("E_FCREATE",	"Unable to create file.");
define("E_NOFILE",	"File not found.");
define("E_NODIR",	"Directory not found.");
define("E_DIREXIST",	"Directory already exists.");
define("E_NOKEY",	"Encryption key not found.");
define("E_FTOOLARGE",	"File too large.");
define("E_FILENAME",	"Invalid filename.");

define("E_CSVNOHDR",	"Missing column name definitions.");
define("E_CSVHDR",	"Invalid column name for this device type.");

define("E_INTERNAL",	"Internal error.");
?>
