<?php
/*!
 *  @file
 *
 *  @brief	show overview of available device types
 *
 *  @date	2005
 */

$gid = validate_integer($_GET['gid']);

echo '
	<h2>Device Types</h2>
';

$ret = $DB->ListDeviceTypes($gid);
foreach ($ret as $row) {
	echo '
	<a href="?component=model&action=list&gid='.$gid.'&tid='.$row['id'].'">'.filter_string($row['device_type']).'</a>
	<br>
';
}

if (has_permissions('w')) {
	echo '
	<br>
	<a href="?component=devtype&action=create&gid='.$gid.'"><img src="images/bnew_device.png" alt="New Device Type"></a>
';
}
?>
