<?php
/*!
 *  @file
 *
 *  @brief	remove link entry
 *
 *  @date	2005
 */

has_permissions('d') || fatal(E_NOPERM);

$lid = validate_integer($_GET['lid']);	// dies on error

/*
 * Determine various IDs for the device associated with this link.
 * These IDs are used for the redirect, later on.
 */
$row = $DB->FetchById('links', array('physical_id'), $lid);
$ids = $DB->GetDeviceState($row['physical_id']);

$DB->DeleteLink($lid);

header('Location: http://' . $_SERVER['SERVER_NAME'] . '?component=physical&action=list' .
	'&gid='  . $ids['hwgroup_id'] .
	'&tid='  . $ids['device_type_id'] .
	'&msid=' . $ids['model_spec_id']);
exit;
?>
