<?php
/*!
 *  @file
 *
 *  @brief	add or update news item
 *
 *  @date	January 16, 2016
 */

has_permissions('m') || fatal(E_NOPERM);

$nid  = trim($_GET['nid']);		// optional
$subj = $_POST['subject'];
$msg = $_POST['message'];
$datetime = explode(' ', date("Y-m-d H:i:s", time()));

$fields = array('date' => $datetime[0], 'time' => $datetime[1], 'subject' => $subj, 'message' => $msg);
if (!empty($nid)) {
	validate_integer($nid);

	$DB->Update('news', $nid, $fields);
} else {
	$DB->Insert('news', $fields);
}

header('Location: http://' . $_SERVER['SERVER_NAME'] . '?component=news&action=list');
exit;
?>
