<?php
/*!
 *  @file
 *
 *  @brief	device type definition for CPU
 *
 *  @date	October 12, 2015
 */

$DTD = array(
  'table'    => 'coa_processor',
  'features' => array(
    'manufacture' => array('manufacture',   'manufacture', 'Manufacture', MENU, 25, false, '',    ''),
    'model'       => array('model',         'model',       'Model',       TEXT, 25,  true, '',    ''),
    'part_number' => array('coa_processor', 'part_number', 'Part Number', TEXT, 25, false, '',    ''),
    'clock'       => array('coa_processor', 'clock',       'Clock',       TEXT, 10, false, 'MHz', 'unit_clock_speed'),
    'l2cache'     => array('coa_processor', 'l2cache',     'L2 Cache',    TEXT, 10, false, 'kB',  'unit_memory_capacity'),
    'package'     => array('coa_package',   'package',     'Package',     MENU, 15, false, '',    '')
  )
);
?>
