<?php
/*!
 *  @file
 *
 *  @brief	device type definition for OPT
 *
 *  @date	July 31, 2015
 */

$DTD = array(
  'table'    => 'stm_optical',
  'features' => array(
    'manufacture' => array('manufacture',    'manufacture', 'Manufacture', MENU, 25, false, '',   ''),
    'model'       => array('model',          'model',       'Model',       TEXT, 25,  true, '',   ''),
    'part_number' => array('stm_optical',    'part_number', 'Part Number', TEXT, 25, false, '',   ''),
    'capacity'    => array('stm_optical',    'capacity',    'Capacity',    TEXT, 10, false, 'MB', 'unit_memory_capacity'),
    'magazine'    => array('stm_optical',    'magazine',    'Magazine',    TEXT, 15, false, '',   ''),
    'interface'   => array('stm_interface',  'interface',   'Interface',   CBOX,  3, false, '',   ''),
    'speed'       => array('stm_optical',    'speed',       'Speed',       TEXT,  2, false, '',   ''),
    'formfactor'  => array('stm_formfactor', 'formfactor',  'Formfactor',  MENU, 15, false, '',   '')
  )
);
?>
