<?php
/*!
 *  @file
 *
 *  @brief	display help on subject
 *
 *  @date	May 30, 2016
 */

$subj = trim($_GET['subject']);

/*
 * Determine help file and paragraph in text.
 */
switch ($subj) {
	case 'about':
	case 'account':
	case 'devtype':
	case 'group':
	case 'link':
	case 'location':
	case 'model':
	case 'news':
	case 'note':
	case 'physical':
	case 'status':
		$file = 'help/' . $subj . '.html';
		break;
	default:
		$file = 'help/main.html';
		break;
}
?>
<html>

<head>
<title>HWS Help</title>
<link href='css/hws.css' rel='stylesheet' type='text/css'>
<link href='images/favicon.ico' rel='shortcut icon'>
<script language='javascript' src='js/functions.js'></script>
</head>

<body class="help">

<div>
<?php
// insert help file:
readfile($file);
?>
</div>

<div style="text-align:center;position:relative;width:99%;bottom:3%">
	<hr>
	<form>
		<input type="button" value="Close" onclick="javascript:window.close()">
	</form>
</div>

</body>
</html>
