<?php
/*!
 *  @file
 *
 *  @brief	definitions for constants and limits
 *
 *  @date	October 20, 2015
 */

define("DTD_DIR",		"dtd");
define("DTD_EXT",		"inc");

define("HWS_REALM",		"HWS");
define("HWS_KEY",		"hws.key");
define("NONCE_KEY",		"nonce.key");

/*
 * Maximum string lengths. Used for text fields in
 * web pages and for string variables in SQL tables.
 */
define("COMMENT_MAX",		"255");
define("DEVTYPE_MAX",		"25");
define("GROUP_NAME_MAX",	"25");
define("PASSWORD_MAX",		"8");
define("SHORTCODE_MAX",		"3");
define("URL_MAX",		"255");
define("SUBJECT_MAX",		"40");
define("USERNAME_MAX",		"12");
define("FULLNAME_MAX",		"25");
define("LOCATION_MAX",		"25");
define("STREET_MAX",		"30");
define("ZIPCODE_MAX",		"8");
define("CITY_MAX",		"25");
define("ROOM_MAX",		"4");
define("RACK_MAX",		"4");
define("SHELF_MAX",		"2");
define("IMPORT_FILE_MAX",	"4194304"); // 4 MB

define("HWS_VERSION",		"0.5");
define("HWS_URL",		"http://unimatrix.gomtuu.net/hws");
?>
