<?php
/*!
 *  @file
 *
 *  @brief	main index page
 *
 *  @date
 */

require 'init.php';

$component = $_GET['component'];
switch ($component) {
	case 'about':
	case 'account':
	case 'devtype':
	case 'group':
	case 'link':
	case 'location':
	case 'model':
	case 'news':
	case 'note':
	case 'physical':
	case 'status':
		$base = 'component/' . $component; break;
	default:
		$base = 'component/news'; break;
}
$action = $_GET['action'];
switch ($action) {
	case 'create':
	case 'delete':
	case 'edit':
	case 'export':
	case 'import':
	case 'list':
	case 'save':
	case 'savelist':
	case 'dumplist':
	case 'show':
		$file = $base . '_' . $action . '.php'; break;
	default:
		$file = $base . '_show.php'; break;
}
?>

<html>

<head>
<title>Hardware Stock</title>
<meta name="keywords" content="computer hardware database, hardware inventory">
<!-- base href='http://" . $_SERVER['SERVER_NAME'] . "/'-->
<link href='css/hws.css' rel='stylesheet' type='text/css'>
<link href='images/favicon.ico' rel='shortcut icon'>
<script language='javascript' src='js/functions.js'></script>
</head>

<?php
echo '
<body>
<div class="header">
';
include 'header.php';
echo '
</div>

<div class="navbar">
';
include 'navbar.php';
echo '
</div>

<div class="content">
';
	if (!empty($file) && is_readable($file)) {
		include $file;
	} else {
		echo 'Unknown component or action';
	}
echo '
</div>

<div class="footer">
';
include 'footer.php';
echo '
</div>
</body>
';
?>

</html>
