<?php
/*!
 *  @file
 *
 *  @brief	Initiate login procedure
 *
 *  @date
 */

require 'init.php';

$redir = $_POST['redirect'];
header('Location: http://' . $_SERVER['SERVER_NAME'] . $redir);

$perm = get_credentials();
if ($perm == "" || $perm == "-") {
	$nonce = md5(date("r") . ':' . get_nonce_key());
	$_SESSION['nonce'] = $nonce;
	
	header("HTTP/1.1 401 Unauthorized\n");
	$hdr  = 'WWW-Authenticate: Digest ';
	$hdr .= 'realm="' . HWS_REALM . '",';
	$hdr .= 'nonce="' . $nonce . '",';
	$hdr .= 'opaque="' . base64_encode('Hardware Stock') . '"';
	header($hdr);
	/*
	 * If we get here the login dialog was cancelled...
	 * Else, the page reloads with the login credentials.
	 */
	exit;
} else if ($perm == '?') {
	@session_unset();
	@session_destroy();
	fatal(E_NOUSER);
} else if ($perm == '!') {
	@session_unset();
	@session_destroy();
	fatal(E_USERLOCK);
} else {
	$all_hdrs = getallheaders();
	$_SESSION['user'] = get_directive_value($all_hdrs['Authorization'], 'username');
}
?>
