<?php
/*!
 *  @file
 *
 *  @brief	show content of navigation bar
 *
 *  @date	August 9, 2015
 */

echo '
	<table>
		<tr>
			<td class="navbar" width="132">
';

	echo '
				<font size="2"><strong><div align="center">Device Types</div></strong></font>
				<dl>
';

	$ret = $DB->Fetch('hardware_groups', array(), 'hwgroup');
	foreach ($ret as $row) {
		$gid = $row['id'];
		echo '
					<dt>
						<font size="2"><a href="?component=devtype&action=list&gid='.$row['id'].'">'.filter_string($row['hwgroup']).'</a></font>
					</dt>
';

		$ret2 = $DB->ListDeviceTypes($gid);
		foreach ($ret2 as $row2) {
			echo '
					<dd>
						<font size="1"><a href="?component=model&action=list&gid='.$gid.'&tid='.$row2['id'].'">'.filter_string($row2['device_type']).'</a></font>
					</dd>
';
		}
	}
	echo '
				</dl>
';

if (has_permissions('w')) {
	echo '
				<font size="2"><strong><div align="center">User Ops</div></strong></font>
				<p>
					<font size="2"><a href="?component=model&action=import">Import Devices</a></font>
					<br>
					<font size="2"><a href="?component=model&action=export">Export Devices</a></font>
					<br>
				</p>
';
}
if (has_permissions('m')) {
	echo '
				<font size="2"><strong><div align="center">Admin Ops</div></strong></font>
				<p>
					<font size="2"><a href="?component=account&action=list">User Accounts</a></font>
					<br>
					<font size="2"><a href="?component=location&action=list">Manage Locations</a></font>
					<br>
					<font size="2"><a href="?component=news&action=list">Site News</a></font>
					<br>
				</p>
';
}

echo '
			</td>
		</tr>
	</table>
';
?>
